Subject: Re: bug#11268: Rgrep can get out of hand, so...

From: Juri Linkov <[email-masked]>
Date: Thu, 19 Apr 2012 17:28:30 +0300

>>> Reminds me that I think we should have a global key binding for "kill
>>> the current buffer's process"
>>
>> C-c C-k
>
> That's bound to `message-kill-buffer' in Message mode, and I vaguely
> remember that I copied that meaning for the keystroke from somewhere
> else...

Other modes use it for other meanings like `show-branches' in outline.

Maybe `C-x k' is a better key binding.  With a prefix key it could
ask whether to kill the buffer's process, but not kill the buffer.